From 7c235ad9f4e7c9597cb1c864c529a1c726954c31 Mon Sep 17 00:00:00 2001
From: Kei Yamashita <kei@openmailbox.org>
Date: Mon, 28 Mar 2016 13:26:43 -0400
Subject: [PATCH] Define MilkyTracker in music.scm

---
 gnu/packages/music.scm | 42 ++++++++++++++++++++++++++++++++++--------
 1 file changed, 34 insertions(+), 8 deletions(-)

diff --git a/gnu/packages/music.scm b/gnu/packages/music.scm
index adda16a..66f3e72 100644
--- a/gnu/packages/music.scm
+++ b/gnu/packages/music.scm
@@ -78,6 +78,7 @@
   #:use-module (gnu packages rdf)
   #:use-module (gnu packages readline)
   #:use-module (gnu packages rsync)
+  #:use-module (gnu packages sdl)
   #:use-module (gnu packages tcl)
   #:use-module (gnu packages texinfo)
   #:use-module (gnu packages texlive)
@@ -1071,14 +1072,14 @@ computer's keyboard.")
 (define-public qtractor
   (package
     (name "qtractor")
-    (version "0.7.5")
+    (version "0.7.3")
     (source (origin
               (method url-fetch)
               (uri (string-append "http://downloads.sourceforge.net/qtractor/"
                                   "qtractor-" version ".tar.gz"))
               (sha256
                (base32
-                "0drqzp1rbqmqiwdzc9n3307y8rm882fha3awy5qlvir5ma2mwl80"))))
+                "1vy4297myyqk0k58nzybgvgklckhngpdcnmp98k0rq98dirclbl7"))))
     (build-system gnu-build-system)
     (arguments `(#:tests? #f)) ; no "check" target
     (inputs
@@ -1201,8 +1202,9 @@ MusicBrainz database.")
     (build-system python-build-system)
     (home-page "https://github.com/echonest/pyechonest")
     (synopsis "Python interface to The Echo Nest APIs")
-    (description "Pyechonest is a Python library for the Echo Nest API.  With
-Pyechonest you have Python access to the entire set of API methods including:
+    (description "Pyechonest is an open source Python library for the Echo Nest
+API.  With Pyechonest you have Python access to the entire set of API methods
+including:
 
 @enumerate
 @item artist - search for artists by name, description, or attribute, and get
@@ -1274,16 +1276,13 @@ websites such as Libre.fm.")
        #:phases
        (modify-phases %standard-phases
          (add-after 'unpack 'set-HOME
-           (lambda _ (setenv "HOME" (string-append (getcwd) "/tmp"))))
-         (replace 'check
-           (lambda _ (zero? (system* "nosetests" "-v")))))))
+           (lambda _ (setenv "HOME" (string-append (getcwd) "/tmp")))))))
     (native-inputs
      `(("python2-beautifulsoup4" ,python2-beautifulsoup4)
        ("python2-flask" ,python2-flask)
        ("python2-setuptools" ,python2-setuptools)
        ("python2-mock" ,python2-mock)
        ("python2-mpd2" ,python2-mpd2)
-       ("python2-nose" ,python2-nose)
        ("python2-pathlib" ,python2-pathlib)
        ("python2-pyxdg" ,python2-pyxdg)
        ("python2-pyechonest" ,python2-pyechonest)
@@ -1306,3 +1305,30 @@ once and for all.  It catalogs your collection, automatically improving its
 metadata as it goes using the MusicBrainz database.  Then it provides a variety
 of tools for manipulating and accessing your music.")
     (license license:expat)))
+
+(define-public milkytracker
+  (package
+    (name "milkytracker")
+    (version "0.90.86")
+    (source (origin
+	      (method url-fetch)
+	      (uri
+	       (string-append "http://milkytracker.org/files/milkytracker-"
+				  name "-" version ".tar.gz"))
+              (sha256
+               (base32
+                "0mqjkhvjyp5hnzm1ln3b2qjclviayxylcyml96pjdxgbaqcqa2zz"))))
+    (build-system gnu-build-system)
+    (inputs
+     `(("alsa", alsa)
+       ("jack", jack)
+       ("sdl" ,sdl)
+       ("zlib" ,zlib)))
+    (synopsis "Multi-platform, second generation music tracker")
+    (description "MilkyTracker is a free software, multi-platform music
+application for creating .MOD and .XM module files. It attempts to recreate
+the module replay and user experience of the popular DOS program Fasttracker
+II, with special playback modes available for improved Amiga ProTracker 2/3
+compatibility.")
+    (home-page "http://milkytracker.org/")
+    (license license:gpl3)))
-- 
2.7.3

